Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
Class ResourceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              groovy.util.ResourceException

All Implemented Interfaces:
  Serializable

    public class ResourceException
    extends Exception

Author:
  sam
See Also:
  Serialized Form

Constructor Summary
Constructor and Description
`ResourceException()`
`ResourceException(String message)`
`ResourceException(String message, Throwable cause)`
`ResourceException(Throwable cause)`

Method Summary
Modifier and Type | Method and Description
--- | ---

Methods inherited from class java.lang.Throwable
`addSuppressedException, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressedExceptions, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceException

    public ResourceException()

### ResourceException

    public ResourceException(String message)

  Parameters:
    `message` -

### ResourceException

    public ResourceException(String message,
                             Throwable cause)

  Parameters:
    `message` -
    `cause` -

### ResourceException

    public ResourceException(Throwable cause)

  Parameters:
    `cause` -

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD